Index: external/fastjet/contribs/Nsubjettiness/AxesDefinition.hh
===================================================================
--- external/fastjet/contribs/Nsubjettiness/AxesDefinition.hh	(revision 973b92a3bf3d2d9073e3b7917710e4fac19714c7)
+++ external/fastjet/contribs/Nsubjettiness/AxesDefinition.hh	(revision 667a02abab10bed835e1186b81ddef9d3e67b782)
@@ -5,5 +5,5 @@
 //  Jesse Thaler, Ken Van Tilburg, Christopher K. Vermilion, and TJ Wilkason
 //
-//  $Id: AxesDefinition.hh 833 2015-07-23 14:35:23Z jthaler $
+//  $Id: AxesDefinition.hh 1130 2018-06-06 12:09:46Z jthaler $
 //----------------------------------------------------------------------
 // This file is part of FastJet contrib.
@@ -508,6 +508,6 @@
 /// \brief Wrapper for jet definitions (for memory management)
 ///
-/// This class was introduced to avoid issue of a FastJet bug when using genKT clustering
-/// Now using this for all AxesDefinition with a manual recombiner to use the delete_recombiner_when_unused function
+/// This class is used by all AxesDefinition with a manual recombiner to
+/// ensure that the delete_recombiner_when_unused function is always called
 ///------------------------------------------------------------------------
 class JetDefinitionWrapper {
@@ -549,5 +549,5 @@
    : ExclusiveJetAxes(JetDefinitionWrapper(fastjet::kt_algorithm,
                                           fastjet::JetDefinition::max_allowable_R, //maximum jet radius constant
-                                          _recomb = new WinnerTakeAllRecombiner(), // Needs to be explicitly declared (this will be deleted by JetDefinitionWrapper)
+                                          new WinnerTakeAllRecombiner(), // Needs to be explicitly declared (this will be deleted by JetDefinitionWrapper)
                                           fastjet::Best).getJetDef()
                       ) {
@@ -571,7 +571,4 @@
    virtual WTA_KT_Axes* create() const {return new WTA_KT_Axes(*this);}
 
-private:
-   const WinnerTakeAllRecombiner *_recomb;  ///< Internal recombiner
-
 };
    
@@ -588,5 +585,5 @@
    : ExclusiveJetAxes(JetDefinitionWrapper(fastjet::cambridge_algorithm,
                                              fastjet::JetDefinition::max_allowable_R, //maximum jet radius constant
-                                             _recomb = new WinnerTakeAllRecombiner(), // Needs to be explicitly declared (this will be deleted by JetDefinitionWrapper)
+                                             new WinnerTakeAllRecombiner(), // Needs to be explicitly declared (this will be deleted by JetDefinitionWrapper)
                                              fastjet::Best).getJetDef()) {
     setNPass(NO_REFINING);
@@ -608,8 +605,5 @@
    /// For copying purposes
    virtual WTA_CA_Axes* create() const {return new WTA_CA_Axes(*this);}
-   
-private:
-   const WinnerTakeAllRecombiner *_recomb;  ///< Internal recombiner
-
+  
 };
 
@@ -674,5 +668,5 @@
                                             R0,
                                             p,
-                                            _recomb = new WinnerTakeAllRecombiner()
+                                            new WinnerTakeAllRecombiner()
                                             ).getJetDef()), _p(p), _R0(R0) {
       if (p < 0) throw Error("WTA_GenKT_Axes:  Currently only p >=0 is supported.");
@@ -702,5 +696,4 @@
    double _p;   ///< genkT power
    double _R0;  ///< jet radius
-   const WinnerTakeAllRecombiner *_recomb; ///< Internal recombiner
 };
    
@@ -717,5 +710,5 @@
    /// Constructor
    GenET_GenKT_Axes(double delta, double p, double R0 = fastjet::JetDefinition::max_allowable_R)
-   : ExclusiveJetAxes((JetDefinitionWrapper(fastjet::genkt_algorithm, R0, p, _recomb = new GeneralEtSchemeRecombiner(delta))).getJetDef() ),
+   : ExclusiveJetAxes((JetDefinitionWrapper(fastjet::genkt_algorithm, R0, p, new GeneralEtSchemeRecombiner(delta))).getJetDef() ),
     _delta(delta), _p(p), _R0(R0) {
        if (p < 0) throw Error("GenET_GenKT_Axes:  Currently only p >=0 is supported.");
@@ -750,5 +743,4 @@
    double _p;     ///< GenkT power
    double _R0;    ///< jet radius
-   const GeneralEtSchemeRecombiner *_recomb;   ///< Internal recombiner
 };
 
@@ -1201,5 +1193,5 @@
    /// Constructor
    Comb_WTA_GenKT_Axes(int nExtra, double p, double R0 = fastjet::JetDefinition::max_allowable_R)
-   : ExclusiveCombinatorialJetAxes((JetDefinitionWrapper(fastjet::genkt_algorithm, R0, p, _recomb = new WinnerTakeAllRecombiner())).getJetDef(), nExtra),
+   : ExclusiveCombinatorialJetAxes((JetDefinitionWrapper(fastjet::genkt_algorithm, R0, p, new WinnerTakeAllRecombiner())).getJetDef(), nExtra),
     _p(p), _R0(R0) {
        if (p < 0) throw Error("Comb_WTA_GenKT_Axes:  Currently only p >=0 is supported.");
@@ -1227,5 +1219,4 @@
    double _p;        ///< GenkT power
    double _R0;       ///< jet radius
-   const WinnerTakeAllRecombiner *_recomb;   ///< Internal recombiner
 };
    
@@ -1241,5 +1232,5 @@
    /// Constructor
    Comb_GenET_GenKT_Axes(int nExtra, double delta, double p, double R0 = fastjet::JetDefinition::max_allowable_R)
-   : ExclusiveCombinatorialJetAxes((JetDefinitionWrapper(fastjet::genkt_algorithm, R0, p, _recomb = new GeneralEtSchemeRecombiner(delta))).getJetDef(), nExtra),
+   : ExclusiveCombinatorialJetAxes((JetDefinitionWrapper(fastjet::genkt_algorithm, R0, p, new GeneralEtSchemeRecombiner(delta))).getJetDef(), nExtra),
     _delta(delta), _p(p), _R0(R0) {
        if (p < 0) throw Error("Comb_GenET_GenKT_Axes:  Currently only p >=0 is supported.");
@@ -1271,5 +1262,4 @@
    double _p;        ///< GenkT power
    double _R0;       ///< jet radius
-   const GeneralEtSchemeRecombiner *_recomb;  ///<  Internal recombiner
 };
    
